libzypp: zyppng::detail::ReportHolder< Report, false > Class Template Reference

libzypp 17.38.6

zyppng::detail::ReportHolder< Report, false > Class Template Reference

`#include <zypp/ng/reporthelper.h>`

## Public Member Functions
| ReportHolder ()
| ReportHolder (const ReportHolder &)=default
| ReportHolder (ReportHolder &&)=default
ReportHolder & | operator= (const ReportHolder &)=default
ReportHolder & | operator= (ReportHolder &&)=default
auto & | operator-> ()

## Public Attributes
std::shared_ptr< zypp::callback::SendReport< Report > > | _d

## Detailed Description

template<typename Report>
class zyppng::detail::ReportHolder< Report, false >

Definition at line 40 of file reporthelper.h.

## Constructor & Destructor Documentation

## ◆ ReportHolder() [1/3]

template<typename Report>

zyppng::detail::ReportHolder< Report, false >::ReportHolder | ( |  | ) |
| inline

Definition at line 43 of file reporthelper.h.

## ◆ ReportHolder() [2/3]

template<typename Report>

zyppng::detail::ReportHolder< Report, false >::ReportHolder | ( | const ReportHolder< Report, false > & |  | ) |
| default

## ◆ ReportHolder() [3/3]

template<typename Report>

zyppng::detail::ReportHolder< Report, false >::ReportHolder | ( | ReportHolder< Report, false > && |  | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/2]

template<typename Report>

ReportHolder & zyppng::detail::ReportHolder< Report, false >::operator= | ( | const ReportHolder< Report, false > & |  | ) |
| default

## ◆ operator=() [2/2]

template<typename Report>

ReportHolder & zyppng::detail::ReportHolder< Report, false >::operator= | ( | ReportHolder< Report, false > && |  | ) |
| default

## ◆ operator->()

template<typename Report>

auto & zyppng::detail::ReportHolder< Report, false >::operator-> | ( |  | ) |
| inline

Definition at line 50 of file reporthelper.h.

## Member Data Documentation

## ◆ _d

template<typename Report>

std::shared_ptr<zypp::callback::SendReport<Report> > zyppng::detail::ReportHolder< Report, false >::_d

Definition at line 54 of file reporthelper.h.

The documentation for this class was generated from the following file:

- zypp/ng/reporthelper.h